Get schema by id
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.facetflux.com/api/v1/public/schemas/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://app.facetflux.com/api/v1/public/schemas/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://app.facetflux.com/api/v1/public/schemas/{id}")
.header("Authorization", "Bearer <token>")
.asString();{
"id": "<string>",
"name": "<string>",
"labels": {},
"descriptions": {},
"kind": 123,
"standardCode": "<string>",
"standardVersion": "<string>",
"productTypeCount": 123,
"traitCount": 123,
"categoryCount": 123,
"attributeDefinitionCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Product Catalog
Get schema by id
GET
/
api
/
v1
/
public
/
schemas
/
{id}
Get schema by id
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.facetflux.com/api/v1/public/schemas/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://app.facetflux.com/api/v1/public/schemas/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://app.facetflux.com/api/v1/public/schemas/{id}")
.header("Authorization", "Bearer <token>")
.asString();{
"id": "<string>",
"name": "<string>",
"labels": {},
"descriptions": {},
"kind": 123,
"standardCode": "<string>",
"standardVersion": "<string>",
"productTypeCount": 123,
"traitCount": 123,
"categoryCount": 123,
"attributeDefinitionCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Your FacetFlux API key, minted under Settings → API keys.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes